require 'rho/rhoapplication'

class AppApplication < Rho::RhoApplication
  def initialize
    # Tab items are loaded left->right, @tabs[0] is leftmost tab in the tab-bar
    # Super must be called *after* settings @tabs!
    @tabs = nil
    #To remove default toolbar uncomment next line:
    #@@toolbar = nil
    super

    # Uncomment to set sync notification callback to /app/Settings/sync_notify.
    # SyncEngine::set_objectnotify_url("/app/Settings/sync_notify")
    # SyncEngine.set_notification(-1, "/app/Settings/sync_notify", '')
    
    unless File.exists?(File.join(Rho::RhoApplication::get_base_app_path(), "tmp_download"))
      Dir.mkdir(File.join(Rho::RhoApplication::get_base_app_path(), "tmp_download"))
    end
    
    address = "http://192.168.1.197:3000/yorimichi_kankou/admin"
    # サーバアドレスの設定
    if c = Component.find(:first, :conditions => {"key" => "server_address"})
      c.update_attributes(:value => address)
    else
      Component.create(:key => "server_address", :value => address)
    end
  end
end
