function helloWorld() {}

function showMap(lat, lon) {
  // ★マップの生成
  var map = new GMap2(document.getElementById("map"));

  // ★マップコントローラの表示 （非表示の場合はコメントアウト）
  // 大きな移動・縮尺ボタンの表示
  map.addControl(new GLargeMapControl());

  // 小さな移動・縮尺ボタンの表示
  //map.addControl(new GSmallMapControl());

  // マップ、サテライト切り替えボタンの表示
  map.addControl(new GMapTypeControl());

  // スケールの表示
  map.addControl(new GScaleControl());

  // ズームの表示
  //map.addControl(new GSmallZoomControl());

  // オーバービューマップの表示
  //map.addControl(new GOverviewMapControl());

  // ★マップの縮尺指定
  // 縮尺 0～19
  var scale = 13;

  // ポイントの座標位置　（north:北緯 east:東経）
  var north = lat;
  var east = lon;
  // コメント表示による座標補正
  var offSet = 0.0108;

  // ★マップの生成
  map.setCenter(new GLatLng(north+offSet,east), scale);

}